gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Entry.HScale

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A horizontal slider widget for selecting a value from a range

Synopsis

- data HScale
- class ScaleClass o => HScaleClass o
- castToHScale :: GObjectClass obj => obj -> HScale
- gTypeHScale :: GType
- toHScale :: HScaleClass o => o -> HScale
- hScaleNew :: Adjustment -> IO HScale
- hScaleNewWithRange :: Double -> Double -> Double -> IO HScale

# Detail

The `HScale` widget is used to allow the user to select a value using a horizontal slider. To create one, use `hScaleNewWithRange`.

The position to show the current value, and the number of decimal places shown can be set using the parent `Scale` class's functions.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Range
    | +----Scale
    | +----HScale

# Types

data HScale Source #

#### Instances

Instances details

Eq HScale Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: HScale -> HScale -> Bool Source # (/=) :: HScale -> HScale -> Bool Source #
Ord HScale Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: HScale -> HScale -> Ordering Source # (<) :: HScale -> HScale -> Bool Source # (<=) :: HScale -> HScale -> Bool Source # (>) :: HScale -> HScale -> Bool Source # (>=) :: HScale -> HScale -> Bool Source # max :: HScale -> HScale -> HScale Source # min :: HScale -> HScale -> HScale Source #
GObjectClass HScale Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: HScale -> GObject Source # unsafeCastGObject :: GObject -> HScale Source #
HScaleClass HScale Source # |
Instance details Defined in Graphics.UI.Gtk.Types
RangeClass HScale Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ScaleClass HScale Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass HScale Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ScaleClass o => HScaleClass o Source #

#### Instances

Instances details

HScaleClass HScale Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToHScale :: GObjectClass obj => obj -> HScale Source #

gTypeHScale :: GType Source #

toHScale :: HScaleClass o => o -> HScale Source #

# Constructors

hScaleNew Source #

Arguments

:: Adjustment | `adjustment` - the `Adjustment` which sets the range of the scale.
-> IO HScale |

Creates a new `HScale`.

hScaleNewWithRange Source #

Arguments

:: Double | `min` - minimum value
-> Double | `max` - maximum value
-> Double | `step` - step increment (tick size) used with keyboard shortcuts
-> IO HScale |

Creates a new horizontal scale widget that lets the user input a number between `min` and `max` (including `min` and `max`) with the increment `step`. `step` must be nonzero; it's the distance the slider moves when using the arrow keys to adjust the scale value.

Note that the way in which the precision is derived works best if `step` is a power of ten. If the resulting precision is not suitable for your needs, use `scaleSetDigits` to correct it.